Bug 130887 - devel/urjtag doesn't compile on 7.1 when libflash is also installed
devel/urjtag doesn't compile on 7.1 when libflash is also installed
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 15:10 UTC by walter.pelissero
Modified: 2009-02-05 19:20 UTC (History)
0 users

See Also:


Attachments
file.diff (637 bytes, patch)
2009-01-22 15:10 UTC, walter.pelissero
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description walter.pelissero 2009-01-22 15:10:02 UTC
	The port devel/urjtag doesn't compile when libflash is also
	installed.

	There appears to be a conflicting header flash.h in
	/usr/local/include installed by graphics/libflash.

	See below a compilation output:

===>  Vulnerability check disabled, database not found
===>  Found saved configuration for urjtag-0.9_1
===>  Extracting for urjtag-0.9_1
=> MD5 Checksum OK for urjtag-0.9.tar.bz2.
=> SHA256 Checksum OK for urjtag-0.9.tar.bz2.
===>  Patching for urjtag-0.9_1
===>   urjtag-0.9_1 depends on file: /usr/local/bin/flex - found
===>   urjtag-0.9_1 depends on executable: gmake - found
===>   urjtag-0.9_1 depends on shared library: readline.5 - found
===>   urjtag-0.9_1 depends on shared library: intl - found
===>  Configuring for urjtag-0.9_1
checking code revision... from ChangeLog: 1359
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/local/bin/gmkdir -p
checking for gawk... gawk
checking whether gmake sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking whether NLS is requested... yes
checking for msgfmt... /usr/local/bin/msgfmt
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for xgettext... /usr/local/bin/xgettext
checking for msgmerge... /usr/local/bin/msgmerge
checking for style of include used by gmake... GNU
checking for gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking dependency style of cc... gcc3
checking build system type... i386-portbld-freebsd7.1
checking host system type... i386-portbld-freebsd7.1
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking whether NLS is requested... yes
checking for GNU gettext in libc... no
checking for iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
checking for GNU gettext in libintl... yes
checking whether to use NLS... yes
checking where the gettext function comes from... external libintl
checking how to link with libintl... /usr/local/lib/libintl.so -L/usr/local/lib /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
checking for gcc... (cached) cc
checking whether we are using the GNU C compiler... (cached) yes
checking whether cc accepts -g... (cached) yes
checking for cc option to accept ISO C89... (cached) none needed
checking dependency style of cc... (cached) gcc3
checking for ranlib... ranlib
checking for bison... bison -y
checking for library containing ioperm... no
checking for library containing i386_set_ioperm... none required
checking for getline... no
checking for getdelim... no
checking for swprintf... yes
checking for clock_gettime... yes
checking how to run the C preprocessor... cc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking linux/ppdev.h usability... no
checking linux/ppdev.h presence... no
checking for linux/ppdev.h... no
checking dev/ppbus/ppi.h usability... yes
checking dev/ppbus/ppi.h presence... yes
checking for dev/ppbus/ppi.h... yes
checking stropts.h usability... no
checking stropts.h presence... no
checking for stropts.h... no
checking wchar.h usability... yes
checking wchar.h presence... yes
checking for wchar.h... yes
checking for a readline compatible library... -lreadline
checking readline.h usability... no
checking readline.h presence... no
checking for readline.h... no
checking readline/readline.h usability... yes
checking readline/readline.h presence... yes
checking for readline/readline.h... yes
checking whether readline supports history... yes
checking history.h usability... no
checking history.h presence... no
checking for history.h... no
checking readline/history.h usability... yes
checking readline/history.h presence... yes
checking for readline/history.h... yes
checking whether readline supports completion... yes
checking for libusb-config... /usr/local/bin/libusb-config
checking for usb_find_devices... yes
checking for libftdi-config... /usr/local/bin/libftdi-config
checking for ftdi_usb_open... yes
checking for FT_OpenEx in -lftd2xx... no
configure: WARNING: *** libftd2xx not found. No support for FTDI-based USB JTAG cables via libftd2xx.
checking for flex... /usr/local/bin/flex
checking lex output file root... lex.yy
checking lex library... -lfl
checking whether yytext is a pointer... yes
checking for gawk... (cached) gawk
checking for a sed that does not truncate output... /usr/local/bin/gsed
checking for fmax in -lm... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating data/Makefile
config.status: creating include/Makefile
config.status: creating src/Makefile
config.status: creating src/lib/Makefile
config.status: creating src/tap/Makefile
config.status: creating src/part/Makefile
config.status: creating src/bus/Makefile
config.status: creating src/flash/Makefile
config.status: creating src/cmd/Makefile
config.status: creating src/svf/Makefile
config.status: creating src/bsdl/Makefile
config.status: creating src/jim/Makefile
config.status: creating po/Makefile.in
config.status: WARNING:  po/Makefile.in.in seems to ignore the --datarootdir setting
config.status: creating config.h
config.status: executing default-1 commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing depfiles commands
configure:

jtag is now configured for

  Detected libusb      : yes
  Detected libftdi     : yes
  Detected libftd2xx   : no
  Build SVF player     : yes
  Build BSDL subsystem : yes
  Bus drivers          : au1500 avr32 bcm1250 bf526_ezkit bf527_ezkit bf533_stamp bf533_ezkit bf537_stamp bf537_ezkit bf538f_ezkit bf548_ezkit bf561_ezkit ejtag fjmem ixp425 jopcyc h7202 lh7a400 mpc5200 mpc824x ppc405ep ppc440gx_ebc8 prototype pxa2x0 pxa27x s3c4510 sa1110 sh7727 sh7750r sh7751r sharc_21065L slsup3 tx4925 zefant_xs3 
  Cable drivers        : arcom byteblaster dlc5 ea253 ei012 ft2232 igloo jlink keithkoep lattice mpcbdm triton usbblaster wiggler xpc 
  Lowlevel drivers     : direct ftdi ppi 

===>  Building for urjtag-0.9_1
gmake  all-recursive
gmake[1]: Entering directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9'
Making all in doc
gmake[2]: Entering directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/doc'
gmake[2]: Nothing to be done for `all'.
gmake[2]: Leaving directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/doc'
Making all in include
gmake[2]: Entering directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/include'
gmake[2]: Nothing to be done for `all'.
gmake[2]: Leaving directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/include'
Making all in data
gmake[2]: Entering directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/data'
gmake[2]: Nothing to be done for `all'.
gmake[2]: Leaving directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/data'
Making all in src
gmake[2]: Entering directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/src'
Making all in flash
gmake[3]: Entering directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/src/flash'
cc -DHAVE_CONFIG_H -I. -I../..   -I/usr/local/include -I/usr/local/include -I/usr/local/include -I../.. -I../../include  --std=c99 -Wall -MT amd.o -MD -MP -MF .deps/amd.Tpo -c -o amd.o amd.c
amd.c:48: error: expected ')' before '*' token
amd.c:49: error: expected ')' before '*' token
amd.c:50: error: expected ')' before '*' token
amd.c:51: error: expected ')' before '*' token
amd.c:71: error: expected ')' before '*' token
amd.c:97: error: expected ')' before '*' token
amd.c:104: error: expected ')' before '*' token
amd.c:111: error: expected ')' before '*' token
amd.c:163: error: expected ')' before '*' token
amd.c:263: error: expected ')' before '*' token
amd.c:358: error: expected ')' before '*' token
amd.c:387: error: expected ')' before '*' token
amd.c:394: error: expected ')' before '*' token
amd.c:415: error: expected ')' before '*' token
amd.c:421: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'amd_32_flash_driver'
amd.c:433: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'amd_16_flash_driver'
amd.c:445: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'amd_8_flash_driver'
gmake[3]: *** [amd.o] Error 1
gmake[3]: Leaving directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/src/flash'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/home/obj/.amd_mnt/fatcat/host/usr/ports/devel/urjtag/work/urjtag-0.9'
gmake: *** [all] Error 2
*** Error code 2

Stop in /.amd_mnt/fatcat/host/usr/ports/devel/urjtag.
*** Error code 1

Stop in /.amd_mnt/fatcat/host/usr/ports/devel/urjtag.

Fix: The search paths are listed in the wrong order in CPPFLAGS.
	The following patches mend the error:
How-To-Repeat: 	cd /usr/ports/deve/urjtag
	touch /usr/local/include/flash.h # if not already there
	make
Comment 1 Dmitry Marakasov freebsd_committer 2009-01-22 18:39:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2009-01-31 14:00:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 3 walter 2009-01-31 14:20:29 UTC
Dmitry Marakasov writes:
 > > Synopsis: devel/urjtag doesn't compile on 7.1 when libflash is also installed
 > > 
 > > http://www.freebsd.org/cgi/query-pr.cgi?pr=130887
 > 
 > Maintainer of devel/urjtag,
 > 
 > Please note that PR ports/130887 has just been submitted.
 > 
 > If it contains a patch for an upgrade, an enhancement or a bug fix
 > you agree on, reply to this email stating that you approve the patch
 > and a committer will take care of it.
 > 
 > The full text of the PR can be found at:
 > http://www.freebsd.org/cgi/query-pr.cgi?pr=130887

Please note that the port Makefile contains this line

CONFLICTS=      libflash-0.*

which is wrong.  Urjtag does not conflict with libflash, it just can't
be compiled because of a configuration mistake.

So this line should go as well.

-- 
walter pelissero
http://www.pelissero.de
Comment 4 amdmi3 2009-01-31 17:06:28 UTC
> Synopsis: devel/urjtag doesn't compile on 7.1 when libflash is also installed
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=130887

Maintainer of devel/urjtag,

Please note that PR ports/130887 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
http://www.freebsd.org/cgi/query-pr.cgi?pr=130887

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 amdmi3 2009-02-03 01:20:16 UTC
* Walter C. Pelissero (walter@pelissero.de) wrote:

> Please note that the port Makefile contains this line
> 
> CONFLICTS=      libflash-0.*
> 
> which is wrong.  Urjtag does not conflict with libflash, it just can't
> be compiled because of a configuration mistake.
> 
> So this line should go as well.

Got it. Btw, I've mistakengly addressed previous mail to you, should
have sent it to maintainer actually. Fixed now.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 6 bahamasfranks 2009-02-04 16:33:27 UTC
Here's the maintainer approval.  I've submitted upstream for 0.9.1,
but let's definitely get the patch in now to fix 0.9.

Best,
Steve
Comment 7 Dmitry Marakasov freebsd_committer 2009-02-05 19:12:01 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 8 dfilter freebsd_committer 2009-02-05 19:12:01 UTC
amdmi3      2009-02-05 19:11:51 UTC

  FreeBSD ports repository

  Modified files:
    devel/urjtag         Makefile 
  Added files:
    devel/urjtag/files   patch-configure patch-configure.ac 
  Log:
  - Reorder include paths to not conflict with graphics/libflash when it's installed
  - Thus, remove CONFLICTS
  - Fix CFLAGS handling
  
  PR:             130887
  Submitted by:   "Walter C. Pelissero" <walter dot pelissero at iesy dot net>
  Approved by:    Steve Franks <bahamasfranks at gmail dot com> (maintainer)
  
  Revision  Changes    Path
  1.10      +4 -6      ports/devel/urjtag/Makefile
  1.1       +11 -0     ports/devel/urjtag/files/patch-configure (new)
  1.1       +11 -0     ports/devel/urjtag/files/patch-configure.ac (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"